#ifndef CreateFlashJob_H
#define CreateFlashJob_H

#include <Command.h>

#include "ComChannel.h"
#include "DFlashSession.h"

namespace ProtoGenWrapper
{
	class CreateFlashJob : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		CreateFlashJob(const ComChannel comChannel, const DFlashSession flashSession);
		CreateFlashJob(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(ComChannel& comChannel, DFlashSession& flashSession);

		static int GetCommandType();
	};
}

#endif // CreateFlashJob_H
